Update file context
curl --request PATCH \
--url https://api.uplint.dev/api/v1/contexts/{context_key} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"max_file_size_mb": 50,
"allowed_extensions": [
"pdf",
"png",
"jpg",
"jpeg",
"docx"
]
}
'import requests
url = "https://api.uplint.dev/api/v1/contexts/{context_key}"
payload = {
"max_file_size_mb": 50,
"allowed_extensions": ["pdf", "png", "jpg", "jpeg", "docx"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
max_file_size_mb: 50,
allowed_extensions: ['pdf', 'png', 'jpg', 'jpeg', 'docx']
})
};
fetch('https://api.uplint.dev/api/v1/contexts/{context_key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "SUCCESS",
"message": "<string>",
"data": {
"context_id": "<string>",
"context_key": "<string>",
"tenant_id": "<string>",
"display_name": "<string>",
"description": "<string>",
"allowed_extensions": [
"<string>"
],
"max_file_size_mb": 123,
"storage_path_template": "<string>",
"reject_blank_files": true,
"reject_corrupt_files": true,
"scan_for_viruses": true,
"upload_rate_limit": {
"max_uploads": 5000,
"window_seconds": 1800
},
"storage_quota_mb": 123,
"storage_used_bytes": 123,
"metadata": {},
"storage_config_id": "<string>"
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": "ERROR",
"message": "Invalid or missing API key",
"errors": [
"Authentication required"
],
"timestamp": "2026-02-10T12:00:00Z"
}{
"status": "ERROR",
"message": "Resource not found",
"errors": [
"Not found"
],
"timestamp": "2026-02-10T12:00:00Z"
}{
"status": "ERROR",
"message": "Validation error",
"errors": [
"name: field required"
],
"timestamp": "2026-02-10T12:00:00Z"
}File Contexts
Update File Context
Update an existing file context. The context_key cannot be changed after creation. Send only the fields you want to update.
PATCH
/
api
/
v1
/
contexts
/
{context_key}
Update file context
Authorizations
Pass an API key or JWT token. API keys can be sent as Authorization: Bearer <key> or Authorization: <key>.
Path Parameters
The file context's unique key (e.g. patient_reports).
Body
application/json
Required string length:
1 - 255Maximum string length:
1000Required range:
1 <= x <= 500Maximum string length:
500Show child attributes
Show child attributes
Required range:
1 <= x <= 10485760Available options:
active, inactive Storage bucket (config_id) to route this context to. Send an empty string to reset to the tenant's default bucket.
Was this page helpful?
⌘I

